package com.hs.api.common.enums;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;


public enum SysConfigKeyType {
    MAC_ADDRESS_RANGE("MAC_ADDRESS_RANGE","MAC地址范围过滤"),
    MAC_BINDING("MAC_BINDING","MAC地址绑定"),
    PWD_TIME_LIMIT("PWD_TIME_LIMIT","密码有效期"),
    SIMULTAN_ONLINE_NUM("SIMULTAN_ONLINE_NUM","密码有效期"),
    BAH_CXRQ_CONTROL("BAH_CXRQ_CONTROL","是否检查发布功能"),
    LOGIN_ERROR_TIMES("LOGIN_ERROR_TIMES","登录失败次数限制");


    private String code;
    private String desc;

    SysConfigKeyType(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public String getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }

    public static List<Map<String,Object>> all() {
        List<Map<String,Object>> list = new ArrayList<>();
        for(SysConfigKeyType projectType : values()){
            Map<String,Object> map = new HashMap<String,Object>() {
                {
                    put("code",projectType.getCode());
                    put("description",projectType.getDesc());
                }
            };
            list.add(map);
        }
        return list;
    }
}
