package com.hs.api.service.Impl;

import com.hs.api.common.utils.AESUtil;
import com.hs.api.common.utils.DateUtils;
import com.hs.api.mapper.DicUserMapper;
import com.hs.api.mapper.SysUserMapper;
import com.hs.api.model.SysUser;
import com.hs.api.service.UserService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Calendar;
import java.util.Date;
import java.util.List;
import java.util.Map;
import java.util.concurrent.atomic.AtomicInteger;

@Service
public class UserServiceImpl implements UserService {

    @Resource
    private SysUserMapper sysUserMapper;
    @Resource
    private DicUserMapper dicUserMapper;

    @Override
    public SysUser findByLoginName(String loginName) {
        return sysUserMapper.selectByCode(loginName);
    }

    @Override
    public Long findUserIdFromDicUser(String yyUserId) {
        return dicUserMapper.selectUserId(yyUserId);
    }

    @Override
    public SysUser findById(Long id) {
        return sysUserMapper.selectByPrimaryKey(id);
    }

    @Override
    public int init() {
        List<SysUser> sysUsers = sysUserMapper.selectAll();
        Calendar calendar = DateUtils.getCalendar(new Date());
        sysUserMapper.copySysUser("sys_user" + calendar.getTimeInMillis());
        AtomicInteger count = new AtomicInteger();
        sysUsers.stream().forEach(user -> {
            String password = user.getPassword();
            user.setPassword(AESUtil.encrypt(password));
            if(!user.getPwdInit()) {
                user.setPwdInit(true);
                sysUserMapper.updateByPrimaryKey(user);
                count.getAndIncrement();
            }
        });
        return count.intValue();
    }


    public String selectBlockCode() {
        String selectcode=sysUserMapper.selectBlockCode();
        return selectcode;
    }

    public  List<Map<String, Object>>  selectReportEchart() {
        return sysUserMapper.selectReportecharts();
    }

    public  List<Map<String, String>>  selectGrouptitleByid(String groupid) {
        return sysUserMapper.selectGrouptitleByid(groupid);
    }
    public  List<Map<String, Object>>  selectGroupdataByid(String groupid) {
        return sysUserMapper.selectGroupdataByid(groupid);
    }
    public  List<Map<String, String>>  selectDatatitleByid(String groupdataid) {
        return sysUserMapper.selectDatatitleByid(groupdataid);
    }


    public  List<Map<String, String>>  getdatacontentlist(String datasourcesql) {
        return sysUserMapper.getdatacontentlist(datasourcesql);
    }

}
